module("luci.controller.usbip-app.usbip", package.seeall)

function index()
	entry({"admin", "status", "usbip"}, template("usbip-app/usbip"), _("usbip device list"), 12).leaf = true
	entry({"admin", "system", "usbipd"}, call("action_usbipd"), _("Rebind usb device"), 89)
end

function action_usbipd()
	local restart = luci.http.formvalue("restart")
	luci.template.render("usbip-app/usbipd", {restart=restart})
	if restart then
		luci.sys.exec("/usr/sbin/usbip unbind --busid=1-1")
		luci.sys.exec("/bin/sleep 1")
		luci.sys.exec("/usr/sbin/usbip bind --busid=1-1")
	end
end
